#!/usr/bin/env perl 

use strict;
use warnings;
use utf8;

use lib 'perllib';
use Greenstone::Site;

my $delete = 0;

for (@ARGV) {
    if (/^-/) {
        if (/^-delete$/) {
            $delete = 1;
        } else {
            die "Unknown flag '$_'\n";
        }
    }
}

my $site = Greenstone::Site->new (shift);
if ($delete) {
    $site->delete and print "Site deleted\n";
} else {
    $site->create and print "Site created\n";
}
