#!/usr/bin/env perl 

use strict;
use warnings;
use utf8;

use lib 'perllib';
use Greenstone::Interface;

my $delete = 0;

for (@ARGV) {
    if (/^-/) {
        if (/^-delete$/) {
            $delete = 1;
        } else {
            die "Unknown flag '$_'\n";
        }
    }
}

my $interface = Greenstone::Interface->new (shift);
if ($delete) {
    $interface->delete and print "Interface deleted\n";
} else {
    $interface->create and print "Interface created\n";
}
